﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;
using ERPLite.Areas.People.Models;
using ERPLite.Areas.People.Services;
using ERPLite.Common;
using ERPLite.Areas.DashBoard.Models;
using ERPLite.Areas.Finances.Models;
using ERPLite.Areas.DashBoard.Services;
using ERPLite.Areas.Sales.Models;
using ERPLite.Areas.Sales.Services;
using ERPLite.Areas.Finances.Services;


namespace ERPLite.Areas.People.Controllers
{
    public class PeoplesController : ControllerBase
    {
       // public static long SELECTED_MODEL_ID = 0;

        // GET: /People/Peoples/
        public ActionResult Index(int? id, long? selectedModuleId, long? selectedFeatureId)
        {

            PeopleListModel model = getModel<PeopleListModel>(PeopleListModel.SessionKey);
     
             SaveModelToSession(model, PeopleListModel.SessionKey);
        
            return View();
        }

        //[HttpPost]
        //[MultiButton(ButtonName = "Fetch")]
        public ActionResult Fetch([DataSourceRequest] DataSourceRequest request)
        {
            PeopleListModel model = getModel<PeopleListModel>(PeopleListModel.SessionKey);
            model.ErrorMsg = null;
          //  model = PeopleService.Instance.doFetch(model, this.UISession);
    
            if (model.ErrorMsg != null)
            {
                SaveModelToSession(model, PeopleListModel.SessionKey);
                return RedirectToAction("Index");
            }
            
            //model.IsFetch = true;
            SaveModelToSession(model, PeopleListModel.SessionKey);
            
            return Json(model.List.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }

        
        public ActionResult FetchPeopleInformationForDrillDown([DataSourceRequest] DataSourceRequest request, long id)
        {
            PeopleListModel model = getModel<PeopleListModel>(PeopleListModel.SessionKey);
            PeopleModel oObject = model.List.Single(p => p.PeopleId == id);

            oObject.IsEditable = false;
            return PartialView("PeopleInformation", oObject);
        }

   


    }
}

